Subject: [bug#58693] [PATCH 0/1] gnu: home: Add home-emacs-service-type.

From: "(" <[email-masked]>
Date: Tue, 08 Nov 2022 16:30:23 +0000

Heya,

On Tue Nov 8, 2022 at 12:59 PM GMT, Ludovic Courtès wrote:
> I would happily use some Guix Home service to configure Emacs, but I
> don’t want to start it as a daemon (currently I start it from
> ~/.xsession as I use EXWM).
>
> Could we somehow decouple the daemon aspect from the rest?

There's virtually no point in doing so. This service doesn't generate ELisp from
a Scheme config, as I think Emacs is too flexible for that; instead, it lets you
choose the packages, init file, etc to pass to the daemon (which is what is meant
by "configure", I suppose).

    -- (